### Function

# Gimp type_set_translation_context

#### Declaration [src]

    void
    gimp_type_set_translation_context (
      GType type,
      const gchar* context
    )

#### Description [src]

This function attaches a constant string as a translation context to a `GType`. The only purpose of this function is to use it when registering a #G_TYPE_ENUM with translatable value names.

Available since: | 2.8

#### Parameters

`type` | `GType`
| A `GType`.
`context` | `const gchar*`
| A constant string that identifies a translation context or `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.